# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DocumentProductAssociation Class Reference

Representation of STEP entity DocumentProductAssociation
.

`#include <StepBasic_DocumentProductAssociation.hxx>`

Inheritance diagram for StepBasic_DocumentProductAssociation:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_DocumentProductAssociation ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_Document)&aRelatingDocument, const StepBasic_ProductOrFormationOrDefinition &aRelatedProduct)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT Handle_StepBasic_Document | RelatingDocument () const
| Returns field RelatingDocument .
Standard_EXPORT void | SetRelatingDocument (const Handle(StepBasic_Document)&RelatingDocument)
| Set field RelatingDocument .
Standard_EXPORT StepBasic_ProductOrFormationOrDefinition | RelatedProduct () const
| Returns field RelatedProduct .
Standard_EXPORT void | SetRelatedProduct (const StepBasic_ProductOrFormationOrDefinition &RelatedProduct)
| Set field RelatedProduct .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepBasic_Document | theRelatingDocument
StepBasic_ProductOrFormationOrDefinition | theRelatedProduct
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DocumentProductAssociation::StepBasic_DocumentProductAssociation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DocumentProductAssociation::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_DocumentProductAssociation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepBasic_DocumentProductEquivalence.

Standard_EXPORT Standard_Boolean StepBasic_DocumentProductAssociation::HasDescription | ( |  | ) | const

Standard_EXPORT void StepBasic_DocumentProductAssociation::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_Document)& | aRelatingDocument,
|  | const StepBasic_ProductOrFormationOrDefinition & | aRelatedProduct
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DocumentProductAssociation::Name | ( |  | ) | const

Standard_EXPORT StepBasic_ProductOrFormationOrDefinition StepBasic_DocumentProductAssociation::RelatedProduct | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Document StepBasic_DocumentProductAssociation::RelatingDocument | ( |  | ) | const

Standard_EXPORT void StepBasic_DocumentProductAssociation::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepBasic_DocumentProductAssociation::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepBasic_DocumentProductAssociation::SetRelatedProduct | ( | const StepBasic_ProductOrFormationOrDefinition & | RelatedProduct | ) |

Standard_EXPORT void StepBasic_DocumentProductAssociation::SetRelatingDocument | ( | const Handle(StepBasic_Document)& | RelatingDocument | ) |

## Field Documentation

Standard_Boolean StepBasic_DocumentProductAssociation::defDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_DocumentProductAssociation::theDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_DocumentProductAssociation::theName `[private]`

StepBasic_ProductOrFormationOrDefinition StepBasic_DocumentProductAssociation::theRelatedProduct `[private]`

Handle_StepBasic_Document StepBasic_DocumentProductAssociation::theRelatingDocument `[private]`

The documentation for this class was generated from the following file:

- StepBasic_DocumentProductAssociation.hxx